$( document ).ready(function() {
    var index = 0;
    var visibleN = 7;
    var offset = 200;
    
    
    var prevItems = new Array();
    var currItems = new Array();
    var follItems = new Array();
    
    
    var items = $(".item");
    var itemH = $(".item").outerHeight();
    var itemsN = items.length;
    
    
    items.each(function(i) {               
        if(i<visibleN) {
            $(this).removeClass("delayed");
            currItems.push(items[i]);
        }
        else {
            $(this).addClass("hidden following").css({"-webkit-transform":"translateY("+offset+"px)"});
            follItems.push(items[i]);
        }
    }); 
    
    
    $(".box-content").css("margin-top", +(follItems.length*itemH)+"px");
    $(".count").html(itemsN);
    
    $(currItems[currItems.length-1]).addClass("last");
    
    $.each(follItems, function() {
        //$(this).css({"-webkit-transform":"translate(0px,"+offset+"px)"});
    });
    
    $("#next").click(function(){
        if (follItems.length > 0) {
            index++;
            
            $("#prev").removeClass("disabled").addClass("enabled");
            if (index == itemsN-visibleN) {
                $(this).removeClass("enabled").addClass("disabled");
            }

            var shift = Math.abs(itemH*index);


            $(".g94-menu").css({"-webkit-transform":"translateY(-"+shift+"px)"});
            
            $(currItems[currItems.length-1]).removeClass("last");

            $(follItems[0]).removeClass("hidden following delayed").css({"-webkit-transform":"translateY(0px)"});
            currItems.push(follItems.shift());
            $(currItems[currItems.length-1]).addClass("last");

            $(currItems[0]).addClass("hidden previous").css({"-webkit-transform":"translateY(-"+offset+"px)"});
            prevItems.push(currItems.shift());
            
            $(prevItems[prevItems.length-1]).one("webkitTransitionEnd otransitionend oTransitionEnd msTransitionEnd transitionend",
              function(event) {
                $(prevItems[prevItems.length-1]).addClass("delayed");
            });
        }
    }); 
    
    $("#prev").click(function(){
        if (prevItems.length > 0) {
            index--;
            
            $("#next").removeClass("disabled").addClass("enabled");
            if (index == 0) {
                $(this).removeClass("enabled").addClass("disabled");
            }
        
            var shift = Math.abs(itemH*index);
        
            $(".g94-menu").css({"-webkit-transform":"translateY(-"+shift+"px)"});
            
            $(currItems[currItems.length-1]).removeClass("last");
            
            $(prevItems[prevItems.length-1]).removeClass("hidden previous delayed").css({"-webkit-transform":"translateY(0px)"});
            currItems.unshift(prevItems.pop());
            
            $(currItems[currItems.length-1]).addClass("hidden following").css({"-webkit-transform":"translateY("+offset+"px)"});
            follItems.unshift(currItems.pop());
            
            $(currItems[currItems.length-1]).addClass("last");
            
            $(follItems[0]).one("webkitTransitionEnd otransitionend oTransitionEnd msTransitionEnd transitionend",
              function(event) {
                $(follItems[0]).addClass("delayed");
            });
        }

    }); 
    
});

